#!/bin/bash

rm -f nsie_mpi.lensplane nsie_local.lensplane

NUM=1000
cat << EOF | mpirun -n 4 graleshellmpi -
lens/new/nsie 1272.46 1300 0.8 1.5
srcplane/new 1746.22 878.63
sources/add/ellipse 0 10 5 1 30 1.1 0.6 yes

lensplane/new/mpi -40 -40 40 40 $NUM $NUM
lensplane/save nsie_mpi.lensplane

imgplane/new/lensplane
imgplane/plot/gnuplot nsie_images_mpi.gnuplot yes yes yes yes "X (Arcsec)" "Y (Arcsec)" yes

lensplane/new/local -40 -40 40 40 $NUM $NUM
lensplane/save nsie_local.lensplane

imgplane/new/lensplane
imgplane/plot/gnuplot nsie_images_local.gnuplot yes yes yes yes "X (Arcsec)" "Y (Arcsec)" yes

EOF

X=`diff -u nsie_mpi.lensplane nsie_local.lensplane 2>&1`
if [ -z "$X" ] ; then
	echo "MPI and local lensplane results match"
else
	echo "ERROR: MPI and local lensplane results differ!"
	exit -1
fi

